al_destroy_audio_recorder(3)

NAME

al_destroy_audio_recorder - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    void al_destroy_audio_recorder(ALLEGRO_AUDIO_RECORDER *r)

DESCRIPTION

Destroys the audio recorder and frees all resources associated with it. It is safe to destroy a recorder that is recording.

You may receive events after the recorder has been destroyed. They must be ignored, as the fragment buffer will no longer be valid.

SINCE

5.1.1

    [Unstable API]: The API may need a slight redesign.